## chise-base 0.3.0

=== Makefile ===
VERSION = 0.3.0

TAR	= tar

PREFIX		= /usr/local
LIBCHISE_OPTS	= 
XEMACS_OPTS	= --site-includes=/sw/include:/sw/include/db4 \
	--site-libraries=/sw/lib


all:	config-libchise build-libchise

config-libchise: libchise
	cd libchise && ./configure $(LIBCHISE_OPTS)

build-libchise:
	cd libchise && make

install:	install-libchise install-db

install-libchise:
	cd libchise && make install

install-db:
	(cd chise-db; tar cvf - lib share/chise) \
		| (cd $(PREFIX); tar xvf -)


config-xemacs:	xemacs-chise
	cd xemacs-chise && ./configure --with-chise --without-xim --pdump \
		$(XEMACS_OPTS) --with-database=berkdb

build-xemacs:		config-xemacs
	cd xemacs-chise && make

install-xemacs:
	cd xemacs-chise && make install

install-ids:	ids
	cd ids && make install


generate-db:	install-xemacs install-ids

chise-db:
	-mkdir chise-db
	(cd $(PREFIX); tar cvf -  share/chise \
		lib/xemacs-21.4.15/etc/chise-db ) \
		| (cd chise-db; tar xvf - )

tar:
	cd /tmp; mkdir chise-base-$(VERSION)
	#rsync -av Makefile libchise chise-db \
	#	 xemacs-chise ids 
	#	/tmp/chise-base-$(VERSION)
	rsync -av Makefile libchise chise-db /tmp/chise-base-$(VERSION)
	cd /tmp; tar cvzf chise-base-$(VERSION).tar.gz \
		chise-base-$(VERSION)

libchise:
	cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/chise login
	cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/chise co libchise

xemacs-chise:
	cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/chise login
	cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/chise co \
		-d xemacs-chise xemacs

ids:
	cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/chise login
	cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/chise co ids


distclean:
	cd libchise; make distclean
	cd xemacs-chise; make distclean
	cd ids; make clean

=== debian/changelog ===
chise-base (0.3.0-2.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Call dh_autoreconf to update config.{sub,guess} and aclocal.m4.
    Closes: #727343

 -- Emanuele Rocca <ema@debian.org>  Mon, 19 Aug 2024 14:26:02 +0000

chise-base (0.3.0-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062058

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 15:40:03 +0000

chise-base (0.3.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0 (Closes: #1043083).

 -- Bastian Germann <bage@debian.org>  Wed, 16 Aug 2023 22:40:51 +0000

chise-base (0.3.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - Closes: #965454

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Fri, 22 Apr 2022 13:29:50 -0300

chise-base (0.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Santiago Vila ]
  * Add build-{arch,indep} targets. (Closes: #821970)

 -- James Cowgill <jcowgill@debian.org>  Thu, 15 Mar 2018 14:57:51 +0000

chise-base (0.3.0-2) unstable; urgency=low

  * libchise/Makefile.in (CFLAGS): Added -DHAVE_CONFIG_H
  (Closes: #554044 and #552853).
  Use libtool with --mode (for newer libtool).
  * debian/rules: Enable binary-indep entry (Closes: #302943).
  * debian/compat: Bump to 5.
  * libchise/config.{guess,sub}: Updated (Closes: #538887).
  * libchise/{libtool,m4,configure,Makefile.in}: New libtool.
  * libchise1.shlibs: Removed.
  * Incorporated NMU by Clint Adams.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue,  9 Feb 2010 13:55:33 +0900

chise-base (0.3.0-1.1) unstable; urgency=low

  * NMU
  * Bump to Standards-Version 3.7.2.
  * Build against libdb-dev (>= 4.6.19-1).  closes: #421934.

 -- Clint Adams <schizo@debian.org>  Sun, 26 Aug 2007 17:49:30 -0400

chise-base (0.3.0-1) unstable; urgency=low

  * New upstream release with the database itself.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat,  5 Mar 2005 00:06:18 +0900

libchise (0.2.1-2) unstable; urgency=low

  * debian/{postinst,postrm,preinst,prerm}: Removed (were empty).
  * debian/README.Debian: Added explanation.
  * debian/control: Fix short description.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 23 Oct 2004 14:13:55 +0900

libchise (0.2.1-1) unstable; urgency=low

  * Initial Release.
    closes: Bug#262477

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 31 Jul 2004 16:04:11 +0900

=== debian/control ===
Source: chise-base
Priority: optional
Section: devel
Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), libdb-dev (>= 4.8)
Standards-Version: 3.8.4

Package: chise-db
Section: devel
Architecture: all
Depends: ${misc:Depends}
Description: CHISE db, the character information database
 The CHISE (CHaracter Information Service Environment) project
 attempts to collect and organize into a Knowledge-Base information
 about characters in the scripts of the world.
 This package provides the database itself.  Please use this with
 libchise, the C language binding of CHISE database.

Package: libchise1t64
Provides: ${t64:Provides}
Replaces: libchise1
Breaks: libchise1 (<< ${source:Version})
Section: libs
Architecture: any
Depends: chise-db, ${shlibs:Depends}, ${misc:Depends}
Description: C language binding of CHISE, the character information database
 The CHISE (CHaracter Information Service Environment) project
 attempts to collect and organize into a Knowledge-Base information
 about characters in the scripts of the world.
 libchise is C language binding of CHISE database.

Package: libchise-dev
Section: libdevel
Architecture: any
Depends: libchise1t64 (= ${binary:Version}), ${misc:Depends}
Description: C language binding of CHISE, the character information database
 The CHISE (CHaracter Information Service Environment) project
 attempts to collect and organize into a Knowledge-Base information
 about characters in the scripts of the world.
 libchise is C language binding of CHISE database.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# GNU copyright 1997 to 1999 by Joey Hess.  (debian/rules in debhelper).

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=1.0.1
major=1
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

libchise/config.status: libchise/configure
	dh_testdir
	# Make a backup of files modified by the build process so that the
	# package can be built twice in a row
	for file in config.sub config.guess libtool config.h.in configure aclocal.m4; do cp libchise/$$file debian/$$file.bkp; done
	cd libchise && aclocal
	dh_autoreconf
	cd libchise && CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build-arch: build
build-indep: build
build: build-stamp
build-stamp: libchise/config.status
	dh_testdir
	cd libchise && $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	cd libchise && [ ! -f Makefile ] || $(MAKE) distclean
	dh_autoreconf_clean 
	dh_clean 
	-for file in config.sub config.guess libtool config.h.in configure aclocal.m4; do mv debian/$$file.bkp libchise/$$file ; done

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p $(CURDIR)/debian/tmp/usr/include
	mkdir -p $(CURDIR)/debian/tmp/usr/lib
	mkdir -p $(CURDIR)/debian/tmp/usr/share
	cd libchise && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

install-chise-db:
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p $(CURDIR)/debian/tmp/usr/lib
	mkdir -p $(CURDIR)/debian/tmp/usr/share
	tar cCf chise-db - lib share/chise \
	  | tar xCSf $(CURDIR)/debian/tmp/usr -

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs  libchise/ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip -Xchise-db
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: install-chise-db
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture-dependent files here.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=2
http://www.kanji.zinbun.kyoto-u.ac.jp/projects/chise/dist/libchise/libchise-(.*)\.tar\.gz	debian	uupdate
